Index: trunk/tools/FlairGCS/src/UdtSocket.cpp
===================================================================
--- trunk/tools/FlairGCS/src/UdtSocket.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/UdtSocket.cpp	(revision 15)
@@ -14,200 +14,216 @@
 
 #ifndef WIN32
-   #include <arpa/inet.h>
+#include <arpa/inet.h>
 #else
-   #include <winsock2.h>
-   #include <ws2tcpip.h>
+#include <winsock2.h>
+#include <ws2tcpip.h>
 #endif
 
 using namespace std;
 
-UdtSocket::UdtSocket(UDTSOCKET file_socket,UDTSOCKET com_socket,QString name): QObject() {
-    this->file_socket=file_socket;
-    this->com_socket=com_socket;
-    this->name=name;
-    stop=false;
-    file_dialog=new file_ui();
-
-    bool blocking = true;
-    UDT::setsockopt(file_socket, 0, UDT_RCVSYN, &blocking, sizeof(bool));
-
-    heartbeat_timer = new QTimer(this);
-    connect(heartbeat_timer, SIGNAL(timeout()), this, SLOT(heartbeat()));
-    heartbeat_timer->start(200);
+UdtSocket::UdtSocket(UDTSOCKET file_socket, UDTSOCKET com_socket, QString name)
+    : QObject() {
+  this->file_socket = file_socket;
+  this->com_socket = com_socket;
+  this->name = name;
+  stop = false;
+  file_dialog = new file_ui();
+
+  bool blocking = true;
+  UDT::setsockopt(file_socket, 0, UDT_RCVSYN, &blocking, sizeof(bool));
+
+  heartbeat_timer = new QTimer(this);
+  connect(heartbeat_timer, SIGNAL(timeout()), this, SLOT(heartbeat()));
+  heartbeat_timer->start(200);
 }
 
 UdtSocket::~UdtSocket() {
-    heartbeat_timer->stop();
-
-    UDT::close(file_socket);
-    UDT::close(com_socket);
-
-    file_dialog->deleteLater();
-}
-
-//send signal to uav, to check connectivity through a watchdog
-//this is necessary because we use udt (udp based), and we cannot check disconnection of ground station
+  heartbeat_timer->stop();
+
+  UDT::close(file_socket);
+  UDT::close(com_socket);
+
+  file_dialog->deleteLater();
+}
+
+// send signal to uav, to check connectivity through a watchdog
+// this is necessary because we use udt (udp based), and we cannot check
+// disconnection of ground station
 void UdtSocket::heartbeat(void) {
-    char data=WATCHDOG_HEADER;
-    write(&data,1);
+  char data = WATCHDOG_HEADER;
+  write(&data, 1);
 }
 
 void UdtSocket::kill(void) {
-    printf("disconnected\n");
-    stop=true;
-    deleteLater();
+  printf("disconnected\n");
+  stop = true;
+  deleteLater();
 }
 
 void UdtSocket::handleConnections(void) {
-    while(!stop) {
-        int eid = UDT::epoll_create();
-        if(eid<0) {
-            printf("epoll_create error: %s\n",UDT::getlasterror().getErrorMessage());
-        }
-
-        if(UDT::epoll_add_usock(eid,file_socket)<0) {
-            if(UDT::getlasterror().getErrorCode()==5004) {
-                printf("epoll_add_usock\n");
-                break;
-            } else {
-                printf("epoll_add_usock error: %s\n",UDT::getlasterror().getErrorMessage());
-            }
-        }
-        if(UDT::epoll_add_usock(eid,com_socket)<0) {
-            if(UDT::getlasterror().getErrorCode()==5004) {
-                printf("epoll_add_usock\n");
-                break;
-            } else {
-                printf("epoll_add_usock error: %s\n",UDT::getlasterror().getErrorMessage());
-            }
-        }
-
-        set<UDTSOCKET> readfds;
-
-        int rv=UDT::epoll_wait(eid, &readfds,NULL, 10) ;
-
-        if(rv == -1) {
-            if(UDT::getlasterror().getErrorCode()!=6003) printf("prob %i\n",UDT::getlasterror().getErrorCode());
-            //printf("wait\n");
-        } else if(rv == 0) {
-            printf("timeout\n"); // a timeout occured
-        } else {
-            /*
-            if(UDT::getlasterror().getErrorCode()==2001) {
-                UDT::epoll_release(eid);
-            }*/
-            for (set<UDTSOCKET>::iterator i = readfds.begin(); i != readfds.end(); i++) {
-                //printf("a\n");
-                if(*i==file_socket) receiveFile();
-                if(*i==com_socket) receiveData();
-            }
-        }
-
-        UDT::epoll_remove_usock(eid,file_socket);
-        UDT::epoll_remove_usock(eid,com_socket);
-        UDT::epoll_release(eid);
-
-        QCoreApplication::processEvents();
-    }
-    kill();
+  while (!stop) {
+    int eid = UDT::epoll_create();
+    if (eid < 0) {
+      printf("epoll_create error: %s\n", UDT::getlasterror().getErrorMessage());
+    }
+
+    if (UDT::epoll_add_usock(eid, file_socket) < 0) {
+      if (UDT::getlasterror().getErrorCode() == 5004) {
+        printf("epoll_add_usock\n");
+        break;
+      } else {
+        printf("epoll_add_usock error: %s\n",
+               UDT::getlasterror().getErrorMessage());
+      }
+    }
+    if (UDT::epoll_add_usock(eid, com_socket) < 0) {
+      if (UDT::getlasterror().getErrorCode() == 5004) {
+        printf("epoll_add_usock\n");
+        break;
+      } else {
+        printf("epoll_add_usock error: %s\n",
+               UDT::getlasterror().getErrorMessage());
+      }
+    }
+
+    set<UDTSOCKET> readfds;
+
+    int rv = UDT::epoll_wait(eid, &readfds, NULL, 10);
+
+    if (rv == -1) {
+      if (UDT::getlasterror().getErrorCode() != 6003)
+        printf("prob %i\n", UDT::getlasterror().getErrorCode());
+      // printf("wait\n");
+    } else if (rv == 0) {
+      printf("timeout\n"); // a timeout occured
+    } else {
+      /*
+      if(UDT::getlasterror().getErrorCode()==2001) {
+          UDT::epoll_release(eid);
+      }*/
+      for (set<UDTSOCKET>::iterator i = readfds.begin(); i != readfds.end();
+           i++) {
+        // printf("a\n");
+        if (*i == file_socket)
+          receiveFile();
+        if (*i == com_socket)
+          receiveData();
+      }
+    }
+
+    UDT::epoll_remove_usock(eid, file_socket);
+    UDT::epoll_remove_usock(eid, com_socket);
+    UDT::epoll_release(eid);
+
+    QCoreApplication::processEvents();
+  }
+  kill();
 }
 
 void UdtSocket::receiveFile(void) {
-    char* recv_buf;
-    int bytesRead;
-    static bool flag_new_seq=true;
-    static QString folder_name;
-
-    //receive file info
-    recv_buf= (char*)malloc(1024);
-    bytesRead = UDT::recvmsg(file_socket,recv_buf,1024);
-
-    if(bytesRead<=0) {
+  char *recv_buf;
+  int bytesRead;
+  static bool flag_new_seq = true;
+  static QString folder_name;
+
+  // receive file info
+  recv_buf = (char *)malloc(1024);
+  bytesRead = UDT::recvmsg(file_socket, recv_buf, 1024);
+
+  if (bytesRead <= 0) {
+    free(recv_buf);
+    return;
+  }
+
+  int size;
+  memcpy(&size, &recv_buf[1], sizeof(int));
+  if (recv_buf[0] == FILE_INFO_BIG_ENDIAN)
+    size = qFromBigEndian(size);
+
+  // printf("file_ui recu %i %x\n",bytesRead,recv_buf[0]);
+  if ((recv_buf[0] == FILE_INFO_LITTLE_ENDIAN ||
+       recv_buf[0] == FILE_INFO_BIG_ENDIAN) &&
+      size > 0) {
+    if (flag_new_seq == true) {
+      // create directory for storage
+      QDateTime dateTime = QDateTime::currentDateTime();
+      folder_name = dateTime.toString("yyyyMMdd_hhmm") + "_" + name;
+      if (QDir().exists(folder_name) == true) {
+        folder_name = dateTime.toString("yyyyMMdd_hhmm_ss") + "_" + name;
+      }
+      QDir().mkdir(folder_name);
+
+      flag_new_seq = false;
+      file_dialog->log("Creating directory " + folder_name);
+    }
+
+    QString file_name =
+        QString::fromAscii((const char *)&recv_buf[5], bytesRead - 5);
+    QString file_path = folder_name + "/" + file_name;
+    file_dialog->log(
+        QString("receiving %1 (%2 bytes)").arg(file_name).arg(size));
+    QFile fichier(file_path);
+
+    if (!fichier.open(QIODevice::WriteOnly)) {
+      file_dialog->log("      could not write to file!");
+    } else {
+      // receive file
+      recv_buf = (char *)realloc((void *)recv_buf, size);
+      bytesRead = UDT::recvmsg(file_socket, recv_buf, size);
+      if (bytesRead != size) {
+        file_dialog->log(QString("      error receiving file! (%1/%2)")
+                             .arg(bytesRead)
+                             .arg(size));
         free(recv_buf);
         return;
-    }
-
+      } else {
+        file_dialog->log("      ok");
+      }
+
+      QDataStream stream(&fichier);
+      stream.writeRawData(recv_buf, size);
+      fichier.close();
+
+      file_dialog->addFile(file_path);
+    }
+
+    free(recv_buf);
+  } else if (recv_buf[0] == END) {
+    file_dialog->endOfFiles();
+    flag_new_seq = true;
+  }
+}
+
+void UdtSocket::receiveData(void) {
+  while (1) {
+    int buf_size;
+    int opt_size;
+    UDT::getsockopt(com_socket, 0, UDT_RCVBUF, &buf_size, &opt_size);
+
+    char *buf = (char *)malloc(buf_size);
     int size;
-    memcpy(&size,&recv_buf[1],sizeof(int));
-    if(recv_buf[0]==FILE_INFO_BIG_ENDIAN) size=qFromBigEndian(size);
-
-    //printf("file_ui recu %i %x\n",bytesRead,recv_buf[0]);
-    if((recv_buf[0]==FILE_INFO_LITTLE_ENDIAN || recv_buf[0]==FILE_INFO_BIG_ENDIAN) && size>0) {
-        if(flag_new_seq==true) {
-            //create directory for storage
-            QDateTime dateTime = QDateTime::currentDateTime();
-            folder_name = dateTime.toString("yyyyMMdd_hhmm")+ "_" + name;
-            if(QDir().exists(folder_name)==true) {
-                folder_name = dateTime.toString("yyyyMMdd_hhmm_ss")+ "_" + name;
-            }
-            QDir().mkdir(folder_name);
-
-            flag_new_seq=false;
-            file_dialog->log("Creating directory " +folder_name);
-        }
-
-        QString file_name= QString::fromAscii((const char*)&recv_buf[5],bytesRead-5);
-        QString file_path=folder_name + "/" + file_name;
-        file_dialog->log(QString("receiving %1 (%2 bytes)").arg(file_name).arg(size));
-        QFile fichier(file_path);
-
-        if(!fichier.open(QIODevice::WriteOnly)) {
-            file_dialog->log("      could not write to file!");
-        } else {
-            //receive file
-            recv_buf= (char*)realloc((void*)recv_buf,size);
-            bytesRead = UDT::recvmsg(file_socket,recv_buf,size);
-            if(bytesRead!=size) {
-                file_dialog->log(QString("      error receiving file! (%1/%2)").arg(bytesRead).arg(size));
-                free(recv_buf);
-                return;
-            } else {
-                file_dialog->log("      ok");
-            }
-
-            QDataStream stream(&fichier);
-            stream.writeRawData(recv_buf,size);
-            fichier.close();
-
-            file_dialog->addFile(file_path);
-        }
-
-        free(recv_buf);
-    } else if(recv_buf[0]==END) {
-        file_dialog->endOfFiles();
-        flag_new_seq=true;
-    }
-}
-
-void UdtSocket::receiveData(void) {
-    while(1) {
-        int buf_size;
-        int opt_size;
-        UDT::getsockopt(com_socket,0,UDT_RCVBUF,&buf_size,&opt_size);
-
-        char* buf=(char*)malloc(buf_size);
-        int size;
-        size = UDT::recvmsg(com_socket,buf, buf_size);
-        buf=(char*)realloc(buf,size+1);
-
-        if(size>0) {
-            buf[size]=0;
-            emit dataReady(buf,size+1);
-        } else {
-            //if(UDT::getlasterror().getErrorCode()!=6002) printf("udt socket: %s\n",UDT::getlasterror().getErrorMessage());
-            free(buf);
-            break;
-        }
-    }
-}
-
-void UdtSocket::write(const char* buf, qint64 size) {
-    //printf("write\n%s\n",buf);
-    qint64 sent=UDT::sendmsg(com_socket,buf,size, -1, true);
-    if(sent!=size) {
-        printf("erreur envoi: %s\n",UDT::getlasterror().getErrorMessage());
-        if(UDT::getlasterror().getErrorCode()==2001) {
-           stop=true;
-        }
-    }
-}
+    size = UDT::recvmsg(com_socket, buf, buf_size);
+    buf = (char *)realloc(buf, size + 1);
+
+    if (size > 0) {
+      buf[size] = 0;
+      emit dataReady(buf, size + 1);
+    } else {
+      // if(UDT::getlasterror().getErrorCode()!=6002) printf("udt socket:
+      // %s\n",UDT::getlasterror().getErrorMessage());
+      free(buf);
+      break;
+    }
+  }
+}
+
+void UdtSocket::write(const char *buf, qint64 size) {
+  // printf("write\n%s\n",buf);
+  qint64 sent = UDT::sendmsg(com_socket, buf, size, -1, true);
+  if (sent != size) {
+    printf("erreur envoi: %s\n", UDT::getlasterror().getErrorMessage());
+    if (UDT::getlasterror().getErrorCode() == 2001) {
+      stop = true;
+    }
+  }
+}
Index: trunk/tools/FlairGCS/src/UdtSocket.h
===================================================================
--- trunk/tools/FlairGCS/src/UdtSocket.h	(revision 14)
+++ trunk/tools/FlairGCS/src/UdtSocket.h	(revision 15)
@@ -12,30 +12,29 @@
 class file_ui;
 
-class UdtSocket : public QObject
-{
-    Q_OBJECT
+class UdtSocket : public QObject {
+  Q_OBJECT
 
-    public:
-        UdtSocket(UDTSOCKET file_socket,UDTSOCKET com_socket,QString name);
-        ~UdtSocket();
+public:
+  UdtSocket(UDTSOCKET file_socket, UDTSOCKET com_socket, QString name);
+  ~UdtSocket();
 
-    private:
-        UDTSOCKET file_socket,com_socket;
-        file_ui* file_dialog;
-        bool stop;
-        QString name;
-        QTimer *heartbeat_timer;
-        void receiveData(void);
-        void receiveFile(void);
+private:
+  UDTSOCKET file_socket, com_socket;
+  file_ui *file_dialog;
+  bool stop;
+  QString name;
+  QTimer *heartbeat_timer;
+  void receiveData(void);
+  void receiveFile(void);
 
-    signals:
-        void dataReady(char*,int size);
+signals:
+  void dataReady(char *, int size);
 
-    public slots:
-        void handleConnections(void);
-        void kill(void);
-        void write(const char* buf, qint64 size);
-    private slots:
-        void heartbeat(void);
+public slots:
+  void handleConnections(void);
+  void kill(void);
+  void write(const char *buf, qint64 size);
+private slots:
+  void heartbeat(void);
 };
 
Index: trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp	(revision 15)
@@ -12,159 +12,169 @@
 #include "Layout.h"
 
+Vector3DSpinBox::Vector3DSpinBox(Layout *parent, int row, int col, QString name,
+                                 QString value[3], float min, float max,
+                                 float step, int decimals)
+    : XmlWidget(name, "Vector3DSpinBox", parent) {
+  for (int i = 0; i < 3; i++) {
+    doublespinbox[i].setRange(min, max);
+    doublespinbox[i].setSingleStep(step);
+    doublespinbox[i].setDecimals(decimals);
+  }
 
-Vector3DSpinBox::Vector3DSpinBox(Layout* parent,int row, int col,QString name,QString value[3],float min,float max,float step,int decimals): XmlWidget(name,"Vector3DSpinBox",parent) {
-    for(int i=0;i<3;i++) {
-        doublespinbox[i].setRange(min,max);
-        doublespinbox[i].setSingleStep(step);
-        doublespinbox[i].setDecimals(decimals);
+  adjust_decimals(value);
+
+  for (int i = 0; i < 3; i++) {
+    doublespinbox[i].setValue(value[i].toDouble());
+    doublespinbox_value[i] = doublespinbox[i].cleanText();
+
+    // event filter for qdoublespinbox and its child (qlinedit and incremnt
+    // qbuttons)
+    doublespinbox[i].installEventFilter(this);
+    QObjectList o_list = doublespinbox[i].children();
+    for (int j = 0; j < o_list.length(); j++) {
+      QLineEdit *cast = qobject_cast<QLineEdit *>(o_list[j]);
+      if (cast)
+        cast->installEventFilter(this);
     }
 
-    adjust_decimals(value);
+    connect(&doublespinbox[i], SIGNAL(valueChanged(const QString &)), this,
+            SLOT(valuechanged(const QString &)));
+  }
 
-    for(int i=0;i<3;i++) {
-        doublespinbox[i].setValue(value[i].toDouble());
-        doublespinbox_value[i]=doublespinbox[i].cleanText();
+  SetValues(value);
 
-        //event filter for qdoublespinbox and its child (qlinedit and incremnt qbuttons)
-        doublespinbox[i].installEventFilter(this);
-        QObjectList o_list = doublespinbox[i].children();
-        for(int j = 0; j < o_list.length(); j++) {
-            QLineEdit *cast = qobject_cast<QLineEdit*>(o_list[j]);
-            if(cast)
-                cast->installEventFilter(this);
-        }
+  // creation et ajout QGroupBox
+  box = new QGroupBox(name);
+  box->setObjectName(name);
+  visible_widget = box;
+  parent->addWidget(box, row, col);
+  qgridlayout = new QGridLayout(new QWidget());
+  box->setLayout(qgridlayout);
 
-        connect(&doublespinbox[i],SIGNAL(valueChanged(const QString &)),this, SLOT(valuechanged(const QString &)));
-    }
-
-    SetValues(value);
-
-    //creation et ajout QGroupBox
-    box = new QGroupBox(name);
-    box->setObjectName(name);
-    visible_widget=box;
-    parent->addWidget(box,row,col);
-    qgridlayout=new QGridLayout(new QWidget());
-    box->setLayout(qgridlayout);
-
-    AddElement("x:",0);
-    AddElement("y:",1);
-    AddElement("z:",2);
+  AddElement("x:", 0);
+  AddElement("y:", 1);
+  AddElement("z:", 2);
 }
 
-Vector3DSpinBox::~Vector3DSpinBox() {
+Vector3DSpinBox::~Vector3DSpinBox() {}
+
+void Vector3DSpinBox::SetValues(QString value[3]) {
+  SetAttribute("value_x", value[0]);
+  SetAttribute("value_y", value[1]);
+  SetAttribute("value_z", value[2]);
 }
 
-void Vector3DSpinBox::SetValues(QString value[3]) {
-    SetAttribute("value_x",value[0]);
-    SetAttribute("value_y",value[1]);
-    SetAttribute("value_z",value[2]);
-}
+void Vector3DSpinBox::AddElement(QString name, int index) {
+  QWidget *widget = new QWidget();
+  QFormLayout *object_layout = new QFormLayout(widget);
+  object_layout->setHorizontalSpacing(2);
+  object_layout->setVerticalSpacing(2);
+  object_layout->setContentsMargins(2, 2, 2, 2);
 
-void Vector3DSpinBox::AddElement(QString name,int index) {
-    QWidget* widget=new QWidget();
-    QFormLayout* object_layout = new QFormLayout(widget);
-    object_layout->setHorizontalSpacing(2);
-    object_layout->setVerticalSpacing(2);
-    object_layout->setContentsMargins (2,2,2,2);
+  object_layout->addRow(name, &doublespinbox[index]);
 
-    object_layout->addRow(name,&doublespinbox[index]);
-
-    qgridlayout->addWidget(widget,index,0);
+  qgridlayout->addWidget(widget, index, 0);
 }
 
 void Vector3DSpinBox::adjust_decimals(QString value[3]) {
-    for(int i=0;i<3;i++) {
-        //auto adjust decimals
-        QLocale locale;
-        value[i].remove(locale.groupSeparator());
+  for (int i = 0; i < 3; i++) {
+    // auto adjust decimals
+    QLocale locale;
+    value[i].remove(locale.groupSeparator());
 
-        QStringList parts = value[i].split(locale.decimalPoint());
-        if(parts.count() == 2) {
-            doublespinbox[i].setDecimals(parts[1].size());
-        }
+    QStringList parts = value[i].split(locale.decimalPoint());
+    if (parts.count() == 2) {
+      doublespinbox[i].setDecimals(parts[1].size());
     }
+  }
 }
 
 bool Vector3DSpinBox::eventFilter(QObject *object, QEvent *event) {
-    for(int i=0;i<3;i++) {
-        if(object==&doublespinbox[i] && event->type()==QEvent::MouseButtonPress) {
-            if (((QMouseEvent*)event)->button() == Qt::RightButton) {
-                QMenu * menu = new QMenu("menu", doublespinbox);
-                QAction *a,*b,*c,*z;
+  for (int i = 0; i < 3; i++) {
+    if (object == &doublespinbox[i] &&
+        event->type() == QEvent::MouseButtonPress) {
+      if (((QMouseEvent *)event)->button() == Qt::RightButton) {
+        QMenu *menu = new QMenu("menu", doublespinbox);
+        QAction *a, *b, *c, *z;
 
-                a=menu->addAction("add decimal");
-                b=menu->addAction("remove decimal");
+        a = menu->addAction("add decimal");
+        b = menu->addAction("remove decimal");
 
-                if(doublespinbox[i].decimals()==0) b->setEnabled(false);
-                z=menu->exec(((QMouseEvent*)event)->globalPos());
+        if (doublespinbox[i].decimals() == 0)
+          b->setEnabled(false);
+        z = menu->exec(((QMouseEvent *)event)->globalPos());
 
-                if(z==a) doublespinbox[i].setDecimals(doublespinbox[i].decimals()+1);
-                if(z==b) doublespinbox[i].setDecimals(doublespinbox[i].decimals()-1);
-                delete menu;
-                return true;
-            }
-        }
+        if (z == a)
+          doublespinbox[i].setDecimals(doublespinbox[i].decimals() + 1);
+        if (z == b)
+          doublespinbox[i].setDecimals(doublespinbox[i].decimals() - 1);
+        delete menu;
+        return true;
+      }
     }
-    return object->eventFilter(object, event);
+  }
+  return object->eventFilter(object, event);
 }
 
 void Vector3DSpinBox::SetUptodate(void) {
-    ui_to_var();
-    ui_to_xml();
-    visible_widget->setPalette(black_pal);
+  ui_to_var();
+  ui_to_xml();
+  visible_widget->setPalette(black_pal);
 }
 
 void Vector3DSpinBox::ui_to_var(void) {
-    for(int i=0;i<3;i++) {
-        doublespinbox_value[i]=doublespinbox[i].cleanText();
-    }
+  for (int i = 0; i < 3; i++) {
+    doublespinbox_value[i] = doublespinbox[i].cleanText();
+  }
 }
 
 void Vector3DSpinBox::ui_to_xml(void) {
-    SetAttribute("value_x",doublespinbox[0].cleanText());
-    SetAttribute("value_y",doublespinbox[1].cleanText());
-    SetAttribute("value_z",doublespinbox[2].cleanText());
+  SetAttribute("value_x", doublespinbox[0].cleanText());
+  SetAttribute("value_y", doublespinbox[1].cleanText());
+  SetAttribute("value_z", doublespinbox[2].cleanText());
 }
 
 void Vector3DSpinBox::Reset(void) {
-    //le setvalue fait un arrondi pour l'affichage, la variable n'est donc plus egale
-    //on reprend la valeur de la boite et on force la couleur a noir
-    adjust_decimals(doublespinbox_value);
-    for(int i=0;i<3;i++) {
-        doublespinbox[i].setValue(doublespinbox_value[i].toDouble());
-        doublespinbox_value[i]= doublespinbox[i].cleanText();
-    }
-    visible_widget->setPalette(black_pal);
+  // le setvalue fait un arrondi pour l'affichage, la variable n'est donc plus
+  // egale
+  // on reprend la valeur de la boite et on force la couleur a noir
+  adjust_decimals(doublespinbox_value);
+  for (int i = 0; i < 3; i++) {
+    doublespinbox[i].setValue(doublespinbox_value[i].toDouble());
+    doublespinbox_value[i] = doublespinbox[i].cleanText();
+  }
+  visible_widget->setPalette(black_pal);
 }
 
 void Vector3DSpinBox::LoadEvent(QDomElement dom) {
-    if(doublespinbox[0].isEnabled()) {
-        doublespinbox[0].setValue((dom.attribute("value_x")).toDouble());
-    }
-    if(doublespinbox[1].isEnabled()) {
-        doublespinbox[1].setValue((dom.attribute("value_y")).toDouble());
-    }
-    if(doublespinbox[2].isEnabled()) {
-        doublespinbox[2].setValue((dom.attribute("value_z")).toDouble());
-    }
+  if (doublespinbox[0].isEnabled()) {
+    doublespinbox[0].setValue((dom.attribute("value_x")).toDouble());
+  }
+  if (doublespinbox[1].isEnabled()) {
+    doublespinbox[1].setValue((dom.attribute("value_y")).toDouble());
+  }
+  if (doublespinbox[2].isEnabled()) {
+    doublespinbox[2].setValue((dom.attribute("value_z")).toDouble());
+  }
 }
 
 void Vector3DSpinBox::valuechanged(const QString &value) {
-    for(int i=0;i<3;i++) {
-        if((QDoubleSpinBox*)sender()==&doublespinbox[i] && value!=doublespinbox_value[i]) {
-            visible_widget->setPalette(red_pal);
-            return;
-        }
+  for (int i = 0; i < 3; i++) {
+    if ((QDoubleSpinBox *)sender() == &doublespinbox[i] &&
+        value != doublespinbox_value[i]) {
+      visible_widget->setPalette(red_pal);
+      return;
     }
-    visible_widget->setPalette(black_pal);
+  }
+  visible_widget->setPalette(black_pal);
 }
 
 bool Vector3DSpinBox::IsUptodate(void) {
-    //si le widget n'est pas enabled, sa palette est differente de rouge (greyed) donc on renvoit true
-    //permet de ne pas envoyer les modifs d'un widget disabled
-    //if(label->palette()==red_pal) return false;
-    if(visible_widget->palette()==red_pal) return false;
-    return true;
+  // si le widget n'est pas enabled, sa palette est differente de rouge (greyed)
+  // donc on renvoit true
+  // permet de ne pas envoyer les modifs d'un widget disabled
+  // if(label->palette()==red_pal) return false;
+  if (visible_widget->palette() == red_pal)
+    return false;
+  return true;
 }
-
Index: trunk/tools/FlairGCS/src/Vector3DSpinBox.h
===================================================================
--- trunk/tools/FlairGCS/src/Vector3DSpinBox.h	(revision 14)
+++ trunk/tools/FlairGCS/src/Vector3DSpinBox.h	(revision 15)
@@ -13,31 +13,32 @@
 class QGridLayout;
 
-class Vector3DSpinBox: public XmlWidget
-{
-    Q_OBJECT
+class Vector3DSpinBox : public XmlWidget {
+  Q_OBJECT
 
-    public:
-        //handle value as string, becouse double value are not exact
-        Vector3DSpinBox(Layout* parent,int row, int col,QString name,QString value[3],float min,float max,float step,int decimals);
-        ~Vector3DSpinBox();
+public:
+  // handle value as string, becouse double value are not exact
+  Vector3DSpinBox(Layout *parent, int row, int col, QString name,
+                  QString value[3], float min, float max, float step,
+                  int decimals);
+  ~Vector3DSpinBox();
 
-    private:
-        QGridLayout* qgridlayout;
-        QGroupBox* box;
-        QDoubleSpinBox doublespinbox[3];
-        QString doublespinbox_value[3];
-        void AddElement(QString name,int index);
-        void SetUptodate(void);
-        void SetValues(QString value[3]);
-        void Reset(void);
-        void LoadEvent(QDomElement dom);
-        void ui_to_var(void);
-        void ui_to_xml(void);
-        bool eventFilter(QObject *o, QEvent *e);
-        void adjust_decimals(QString value[3]);
-        bool IsUptodate(void);
+private:
+  QGridLayout *qgridlayout;
+  QGroupBox *box;
+  QDoubleSpinBox doublespinbox[3];
+  QString doublespinbox_value[3];
+  void AddElement(QString name, int index);
+  void SetUptodate(void);
+  void SetValues(QString value[3]);
+  void Reset(void);
+  void LoadEvent(QDomElement dom);
+  void ui_to_var(void);
+  void ui_to_xml(void);
+  bool eventFilter(QObject *o, QEvent *e);
+  void adjust_decimals(QString value[3]);
+  bool IsUptodate(void);
 
-    private slots:
-        void valuechanged(const QString &value);
+private slots:
+  void valuechanged(const QString &value);
 };
 
